var path = require('path');
var SailsApp = require('sails').Sails;
var _ = require('lodash');
var curDir;
module.exports = {
  liftSails: function(opts, cb) {
    curDir = process.cwd();
    var Sails = new SailsApp();
    var app;

    process.chdir(path.resolve(__dirname, '..', 'fixtures', 'app'));
    if (typeof opts === 'function') {
      cb = opts;
      opts = {};
    }

    opts = _.extend({
      hooks: {grunt: false, views: false},
      log: {level: 'error'},
      globals: false,
      port: 1492
    }, opts);
    Sails.lift(opts, cb);
  },

  lowerSails: function(sails, cb) {
    sails.lower(function(err) {
      process.chdir(curDir);
      if (err) {return cb(err);}
      setTimeout(cb, 500);
    });
  }
};
